using System;
using Server;

namespace Server.Items
{
	public class DragonSword : Longsword
	{
		public override int ArtifactRarity{ get{ return 1337; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public DragonSword()
		{
			Name = "Dragon Sword";
			Hue = 1157;
			HitSound = 712;
			LootType = LootType.Blessed;
			WeaponAttributes.HitLightning = 100;
			Attributes.RegenHits = 10;
			Attributes.WeaponSpeed = 40;
			Attributes.WeaponDamage = 100;
			Attributes.AttackChance = 35;
			Attributes.DefendChance = 35;
			Attributes.Luck = 200;
			Attributes.BonusStr = 40;
			Attributes.BonusHits = 30;
		}
			public override void OnDoubleClick( Mobile m ) 
			{ 
				Effects.PlaySound( m.Location, m.Map, 716 );
				Item g = m.FindItemOnLayer( Layer.Gloves );
				if (g != null) // Did we find an item?
				{ 
				g.Delete(); 
				}		

				Item f = m.FindItemOnLayer( Layer.FirstValid );
				if (f != null) // Did we find an item?
				{ 
				f.Delete(); 
				}
				Item h = m.FindItemOnLayer( Layer.Helm );
				if (h != null) // Did we find an item?
				{ 
				h.Delete(); 
				}

				Item a = m.FindItemOnLayer( Layer.Arms );
				if (a != null) // Did we find an item?
				{ 
				a.Delete(); 
				}			

				Item n = m.FindItemOnLayer( Layer.Neck );
				if (n != null) // Did we find an item?
				{ 
				n.Delete();
				}
				
				Item l = m.FindItemOnLayer( Layer.Pants );
				if (l != null) // Did we find an item?
				{ 
				l.Delete(); 
				}
				
				Item d = m.FindItemOnLayer( Layer.InnerTorso );
				if (d != null) // Did we find an item?
				{ 
				d.Delete(); 
				}
				
				m.AddToBackpack( new DragonArmor() );
			}
		public DragonSword( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}